Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thaiopensource.validate
Class StringPropertyId

    java.lang.Object
      com.thaiopensource.util.PropertyId<String>
          com.thaiopensource.validate.StringPropertyId

    public class StringPropertyId

extends PropertyId<String>

A PropertyId whose value is constrained to be an instance of String.

See Also:
  `String`

Constructor Summary
`StringPropertyId(String name)`

Method Summary

Methods inherited from class com.thaiopensource.util.PropertyId
`equals, get, getValueClass, hashCode, newInstance, put, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StringPropertyId

    public StringPropertyId(String name)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD